Changeset 1051f94e


Ignore:
Timestamp:
09/14/2017 08:26:48 AM (5 years ago)
Author:
Pierre Labastie <pieere@…>
Branches:
10.0, 10.1, 11.0, 11.1, 8.2, 8.3, 8.4, 9.0, 9.1, basic, bdubbs/svn, elogind, lazarus, perl-modules, qt5new, trunk, upgradedb, xry111/intltool, xry111/test-20220226
Children:
bc1d337
Parents:
b990123
Message:

Convert "required runtime" role to "required", and add role="runtime"
to runtime dependencies. Hopefully, the book rendering is not changed.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@19216 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
9 edited

Legend:

Unmodified
Added
Removed
  • general/genutils/gtk-doc.xml

    rb990123 r1051f94e  
    9090
    9191    <bridgehead renderas="sect4">Required (runtime)</bridgehead>
    92     <para role="required runtime">
    93         <xref linkend="six"/>
     92    <para role="required">
     93        <xref role="runtime" linkend="six"/>
    9494    </para>
    9595
  • general/sysutils/usbutils.xml

    rb990123 r1051f94e  
    8080
    8181    <bridgehead renderas="sect4">Required Runtime</bridgehead>
    82     <para role="required runtime">
    83       <xref linkend="python2"/>    </para>
     82    <para role="required">
     83      <xref role="runtime" linkend="python2"/>
     84    </para>
    8485
    8586    <para condition="html" role="usernotes">User Notes:
  • gnome/platform/libsecret.xml

    rb990123 r1051f94e  
    101101
    102102    <bridgehead renderas="sect4">Runtime Dependency</bridgehead>
    103     <para role="required runtime">
    104       <xref linkend="gnome-keyring"/>
     103    <para role="required">
     104      <xref role="runtime" linkend="gnome-keyring"/>
    105105    </para>
    106106
  • pst/printing/cups.xml

    rb990123 r1051f94e  
    101101
    102102    <bridgehead renderas="sect4">Required (Postinstall)</bridgehead>
    103     <para role="required runtime">
    104       <xref linkend="cups-filters"/>
     103    <para role="required">
     104      <xref role="runtime" linkend="cups-filters"/>
    105105    </para>
    106106
    107107    <bridgehead renderas="sect4">Optional (Postinstall)</bridgehead>
    108     <para role="optional runtime">
    109       <xref linkend="gutenprint"/> and
    110       <ulink url="http://hplipopensource.com/hplip-web/index.html">hplip</ulink> (HP printers)
     108    <para role="optional">
     109      <xref role="runtime" linkend="gutenprint"/> and
     110      <ulink role="runtime" url="http://hplipopensource.com/hplip-web/index.html">hplip</ulink> (HP printers)
    111111    </para>
    112112
  • x/lib/libnotify.xml

    rb990123 r1051f94e  
    9292
    9393    <bridgehead renderas="sect4">Required (runtime)</bridgehead>
    94     <para role="required runtime">
    95       <xref linkend="notification-daemon"/> or
    96       <xref linkend="xfce4-notifyd"/>
     94    <para role="required">
     95      <xref role="runtime" linkend="notification-daemon"/> or
     96      <xref role="runtime" linkend="xfce4-notifyd"/>
    9797    </para>
    9898
  • xfce/core/thunar.xml

    rb990123 r1051f94e  
    8282
    8383    <bridgehead renderas="sect4">Required (Runtime)</bridgehead>
    84     <para role="required runtime">
    85       <xref linkend="gnome-icon-theme"/> or
    86       <xref linkend="lxde-icon-theme"/>
     84    <para role="required">
     85      <xref role="runtime" linkend="gnome-icon-theme"/> or
     86      <xref role="runtime" linkend="lxde-icon-theme"/>
    8787    </para>
    8888
  • xfce/core/xfce4-session.xml

    rb990123 r1051f94e  
    9393
    9494    <bridgehead renderas="sect4">Required Runtime</bridgehead>
    95     <para role="required runtime">
    96       <xref linkend="xfdesktop"/>
     95    <para role="required">
     96      <xref role="runtime" linkend="xfdesktop"/>
    9797    </para>
    9898
  • xfce/core/xfce4-settings.xml

    rb990123 r1051f94e  
    8383
    8484    <bridgehead renderas="sect4">Required (Runtime)</bridgehead>
    85     <para role="required runtime">
    86       <xref linkend="gnome-icon-theme"/> or
    87       <xref linkend="lxde-icon-theme"/>
     85    <para role="required">
     86      <xref role="runtime" linkend="gnome-icon-theme"/> or
     87      <xref role="runtime" linkend="lxde-icon-theme"/>
    8888    </para>
    8989
  • xsoft/other/icedtea-web.xml

    rb990123 r1051f94e  
    7070    <bridgehead renderas="sect4">Required at runtime, a web browser,
    7171    such as:</bridgehead>
    72     <para role="required runtime">
    73       <xref linkend="epiphany"/>,
     72    <para role="required">
     73      <xref role="runtime" linkend="epiphany"/>,
    7474<!-- support removed in firefox-52, see https://support.mozilla.org/en-US/kb/npapi-plugins      <xref linkend="firefox"/>,
    75 -->   <xref linkend="midori"/>, and
    76       <xref linkend="seamonkey"/>
     75-->   <xref role="runtime" linkend="midori"/>, or
     76      <xref role="runtime" linkend="seamonkey"/>
    7777    </para>
    7878
Note: See TracChangeset for help on using the changeset viewer.